Commit 82448d58 authored by Richard Mortier's avatar Richard Mortier Committed by Natanael Copa

main/alpine-conf: fix invocation of `openssl` when listing ciphers

openssl.1.1.1b appears to have replaced `list-cipher-commands` with
`enc-ciphers`

fixes #10275

(cherry picked from commit 4992e150)
parent ad588064
From 921a66c96c97634450c456b5ead039a20fa408e8 Mon Sep 17 00:00:00 2001
From: Richard Mortier <mort@cantab.net>
Date: Fri, 26 Apr 2019 10:39:39 +0100
Subject: [PATCH] lbu: fix invocation of `openssl list-cipher-commands` for
v1.1.1b
---
lbu.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/lbu.in b/lbu.in
index 61be708..f439cf2 100644
--- a/lbu.in
+++ b/lbu.in
@@ -126,7 +126,7 @@ check_openssl() {
[ -z "$ENCRYPTION" ] && return 0
OPENSSL=$(which openssl 2>/dev/null) || die "openssl was not found"
- $OPENSSL list-cipher-commands | grep "^$ENCRYPTION$" > /dev/null \
+ $OPENSSL enc -ciphers | grep "^$ENCRYPTION$" > /dev/null \
|| die "Cipher $ENCRYPTION is not supported"
}
--
2.21.0
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=3.8.1
pkgrel=4
pkgrel=5
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
arch="all"
......@@ -12,6 +12,7 @@ source="https://dev.alpinelinux.org/archive/alpine-conf/alpine-conf-$pkgver.tar.
0001-update-kernel-include-regulatory-database.patch
0001-update-kernel-add-modloopfw-option.patch
0001-update-kernel-include-associated-firmware-files-to-m.patch
0001-update-lbu-openssl-invocation.patch
"
builddir="$srcdir"/$pkgname-$pkgver
......@@ -32,4 +33,5 @@ sha512sums="6aa0f0eaab6ee1ff8f9259d5c4e4634bf6d736a2cb52efb3cbabfdfcdd5dcd81b9fe
4b1b88b66a0771720e1991534c0d55b17293d0d9c3e4064d4210c2edd2fcbe8f6691bf5336b5492312df6160aad8f17b4bb4f9174efd4bad342472b3ad2a16bc 0001-setup-alpine-setup-ntp-before-repos.patch
544498b30bd57c84521a4fd5fbd45791b9307dcd29532278f45b61fb14d6405b5454e98fb535fd31331793b806ef897e208c3c6f8bc772dbd55ae2c61abcb402 0001-update-kernel-include-regulatory-database.patch
65f6f79a841ab661ab5fdd41c5e78f4bb74bbc4b1d252291d64cb9d5afa6853133d562c2069bf138b39407c8a0ecc37697b5d17534ded7b8dab8490be6a13698 0001-update-kernel-add-modloopfw-option.patch
bfdaa44b0e02fb49c74ff8a6f3292356a6856a1a8aac005d14fe396f02a1c881658c1d9cfe69216fdf0f7c0cfad547cff57270bb8ab87390f0e1e9addfb68fe9 0001-update-kernel-include-associated-firmware-files-to-m.patch"
bfdaa44b0e02fb49c74ff8a6f3292356a6856a1a8aac005d14fe396f02a1c881658c1d9cfe69216fdf0f7c0cfad547cff57270bb8ab87390f0e1e9addfb68fe9 0001-update-kernel-include-associated-firmware-files-to-m.patch
dd995435797f0a26c86be375adfa0ffef11aa232d1ef620c315bcfaf2ab918222179cbba6d6f46fad7022c3abfff8212ff406028e7919c6a0789085167bf3013 0001-update-lbu-openssl-invocation.patch"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment